[Vm-dev] [commit] r2604 - On unix have the start-up script produce an hopefully helpful error message

commits at squeakvm.org commits at squeakvm.org
Fri Sep 14 17:40:41 UTC 2012


Author: eliot
Date: 2012-09-14 10:40:40 -0700 (Fri, 14 Sep 2012)
New Revision: 2604

Modified:
   branches/Cog/platforms/unix/config/bin.squeak.sh.in
   branches/Cog/platforms/unix/config/squeak.sh.in
Log:
On unix have the start-up script produce an hopefully helpful error message
when ldd doesn't run on 64-bit installations.


Modified: branches/Cog/platforms/unix/config/bin.squeak.sh.in
===================================================================
--- branches/Cog/platforms/unix/config/bin.squeak.sh.in	2012-09-13 20:00:16 UTC (rev 2603)
+++ branches/Cog/platforms/unix/config/bin.squeak.sh.in	2012-09-14 17:40:40 UTC (rev 2604)
@@ -25,7 +25,12 @@
 	SVMLLP="/lib/tls/i686/cmov:/lib:/usr/lib/tls/i686/cmov:/usr/lib";;
 /lib/tls/i686/nosegneg/libc*)	\
 	SVMLLP="/lib/i686/nosegneg/tls:/lib:/usr/lib/i686/nosegneg/tls:/usr/lib";;
-*)	echo "can't infer base LD_LIBRARY_PATH. Aborting." 1>&2;
+"")	case `/bin/uname -m || /usr/bin/uname -m` in
+	*64*)	echo "/usr/bin/ldd didn't produce any output and the system is 64 bit.  You may need to (re)install the 32-bit libraries." 1>&2;;
+	*)	echo "/usr/bin/ldd didn't produce any output. Can't infer base LD_LIBRARY_PATH. Aborting." 1>&2
+	esac
+	exit 1;;
+*)	echo "Can't infer base LD_LIBRARY_PATH. Aborting." 1>&2
 	exit 1
 esac
 # prepending is less flexible but safer because it ensures we find the plugins

Modified: branches/Cog/platforms/unix/config/squeak.sh.in
===================================================================
--- branches/Cog/platforms/unix/config/squeak.sh.in	2012-09-13 20:00:16 UTC (rev 2603)
+++ branches/Cog/platforms/unix/config/squeak.sh.in	2012-09-14 17:40:40 UTC (rev 2604)
@@ -25,7 +25,12 @@
 	SVMLLP="/lib/tls/i686/cmov:/lib:/usr/lib/tls/i686/cmov:/usr/lib";;
 /lib/tls/i686/nosegneg/libc*)	\
 	SVMLLP="/lib/i686/nosegneg/tls:/lib:/usr/lib/i686/nosegneg/tls:/usr/lib";;
-*)	echo "can't infer base LD_LIBRARY_PATH. Aborting." 1>&2;
+"")	case `/bin/uname -m || /usr/bin/uname -m` in
+	*64*)	echo "/usr/bin/ldd didn't produce any output and the system is 64 bit.  You may need to (re)install the 32-bit libraries." 1>&2;;
+	*)	echo "/usr/bin/ldd didn't produce any output. Can't infer base LD_LIBRARY_PATH. Aborting." 1>&2
+	esac
+	exit 1;;
+*)	echo "Can't infer base LD_LIBRARY_PATH. Aborting." 1>&2
 	exit 1
 esac
 # prepending is less flexible but safer because it ensures we find the plugins



More information about the Vm-dev mailing list